Bug 219990 - Review Request: xfce4-timer-plugin - Timer for the Xfce panel
Review Request: xfce4-timer-plugin - Timer for the Xfce panel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-17 21:56 EST by Christoph Wickert
Modified: 2014-09-23 08:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-21 20:28:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2006-12-17 21:56:56 EST
Spec URL: 
http://home.arcor.de/christoph.wickert/fedora/extras/review/SPECS/xfce4-timer-plugin.spec
SRPM URL: 
http://home.arcor.de/christoph.wickert/fedora/extras/review/SRPMS/xfce4-timer-plugin-0.5-1.fc7.src.rpm
Description: 
A timer for the XFCE panel. It supports countdown periods and alarms at certain times.
Comment 1 Patrice Dumas 2006-12-21 09:14:14 EST
* rpmlint is silent
* free software, license included
* follow packaging guidelines
* follow naming guidelines except if there is some specific
  guideline for panel applets, but it doesn't seems so (I remember
  vaguely some discussion) 
* match upstream:
fe20a7c1bba78d6c2a7483a894294155  xfce4-timer-plugin-0.5.tar.bz2
* sane provides
* %files section right
* seems to have everything needed for an xfce panel applet
  (although I didn't test).

APPROVED


There are the usual unneeded dependencies on sonames:

$ ldd -u -r /usr/libexec/xfce4/panel-plugins/xfce4-timer 
Unused direct dependencies:

        /usr/lib/libgdk-x11-2.0.so.0
        /usr/lib/libatk-1.0.so.0
        /usr/lib/libgdk_pixbuf-2.0.so.0
        /lib/libm.so.6
        /usr/lib/libpangocairo-1.0.so.0
        /usr/lib/libpango-1.0.so.0
        /usr/lib/libcairo.so.2
        /lib/libgmodule-2.0.so.0
        /lib/libdl.so.2

Comment 2 Christoph Wickert 2006-12-21 09:26:51 EST
(In reply to comment #1)
> * follow naming guidelines except if there is some specific
>   guideline for panel applets, but it doesn't seems so (I remember
>   vaguely some discussion) 

I started this discussion because I think we need a clarification for these
packages. There wasn't much feedback, so obviously people are not interested in
a clarification or don't think it is necessary.
 
> APPROVED

Thanks for the review.

> There are the usual unneeded dependencies on sonames:

Yeah, but I'm pretty sure this is a bug in glibc-devel package, not in my packages.
Comment 3 Patrice Dumas 2006-12-21 09:42:08 EST
(In reply to comment #2)

> a clarification or don't think it is necessary.

It could be interesting to help users find the package name. However
searching by name is not very convenient, it is the summary which is really
important in my opinion.

> Yeah, but I'm pretty sure this is a bug in glibc-devel package, not in my
packages.

It isn't in your package, I don't think it is in glibc-devel either, 
but somewhere along the -devel dependencies there is an improper use
of Requires.private and/or Libs.private. Since most are gtk2 dependencies
it is certainly in gtk+-2.0.pc, which has
Requires: gdk-${target}-2.0 atk cairo
And should certainly have
Requires.private: gdk-${target}-2.0 atk cairo
Comment 4 Christoph Wickert 2006-12-21 20:28:28 EST
(In reply to comment #3)
 
> Since most are gtk2 dependencies
> it is certainly in gtk+-2.0.pc, which has
> Requires: gdk-${target}-2.0 atk cairo
> And should certainly have
> Requires.private: gdk-${target}-2.0 atk cairo

Bingo! Thanks for the pointer, I haven't looked through the chain of dependencies.

Package built for FE6 and devel. Closing. Once again: Thanks _a_lot_ for your
help, Patrice.
Comment 5 Mukundan Ragavan 2014-09-22 21:01:00 EDT
Package Change Request
======================
Package Name:  xfce4-timer-plugin
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc
Comment 6 Gwyn Ciesla 2014-09-23 08:05:09 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.